IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network127.144.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
127.144.0.0- Broadcast address
127.151.255.255- First usable
127.144.0.1- Last usable
127.151.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Loopback 127.0.0.0/8
This computer - Old class
- A (default /8)
- As numbers
- Hex
7F900000· Integer2140143616to2140667903 - Reverse DNS zones
144.127.in-addr.arpa145.127.in-addr.arpa146.127.in-addr.arpa147.127.in-addr.arpa148.127.in-addr.arpa149.127.in-addr.arpa150.127.in-addr.arpa151.127.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01111111.10010000.00000000.00000000 | 127.144.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 01111111.10010000.00000000.00000000 | 127.144.0.0 |
| Broadcast | 01111111.10010111.11111111.11111111 | 127.151.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
127.144.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 127.144.0.0/24 | 127.144.0.1 to 127.144.0.254 | 127.144.0.255 | 254 |
| 2 | 127.144.1.0/24 | 127.144.1.1 to 127.144.1.254 | 127.144.1.255 | 254 |
| 3 | 127.144.2.0/24 | 127.144.2.1 to 127.144.2.254 | 127.144.2.255 | 254 |
| 4 | 127.144.3.0/24 | 127.144.3.1 to 127.144.3.254 | 127.144.3.255 | 254 |
| 5 | 127.144.4.0/24 | 127.144.4.1 to 127.144.4.254 | 127.144.4.255 | 254 |
| 6 | 127.144.5.0/24 | 127.144.5.1 to 127.144.5.254 | 127.144.5.255 | 254 |
| 7 | 127.144.6.0/24 | 127.144.6.1 to 127.144.6.254 | 127.144.6.255 | 254 |
| 8 | 127.144.7.0/24 | 127.144.7.1 to 127.144.7.254 | 127.144.7.255 | 254 |
| 9 | 127.144.8.0/24 | 127.144.8.1 to 127.144.8.254 | 127.144.8.255 | 254 |
| 10 | 127.144.9.0/24 | 127.144.9.1 to 127.144.9.254 | 127.144.9.255 | 254 |
| 11 | 127.144.10.0/24 | 127.144.10.1 to 127.144.10.254 | 127.144.10.255 | 254 |
| 12 | 127.144.11.0/24 | 127.144.11.1 to 127.144.11.254 | 127.144.11.255 | 254 |
| 13 | 127.144.12.0/24 | 127.144.12.1 to 127.144.12.254 | 127.144.12.255 | 254 |
| 14 | 127.144.13.0/24 | 127.144.13.1 to 127.144.13.254 | 127.144.13.255 | 254 |
| 15 | 127.144.14.0/24 | 127.144.14.1 to 127.144.14.254 | 127.144.14.255 | 254 |
| 16 | 127.144.15.0/24 | 127.144.15.1 to 127.144.15.254 | 127.144.15.255 | 254 |
| 17 | 127.144.16.0/24 | 127.144.16.1 to 127.144.16.254 | 127.144.16.255 | 254 |
| 18 | 127.144.17.0/24 | 127.144.17.1 to 127.144.17.254 | 127.144.17.255 | 254 |
| 19 | 127.144.18.0/24 | 127.144.18.1 to 127.144.18.254 | 127.144.18.255 | 254 |
| 20 | 127.144.19.0/24 | 127.144.19.1 to 127.144.19.254 | 127.144.19.255 | 254 |
| 21 | 127.144.20.0/24 | 127.144.20.1 to 127.144.20.254 | 127.144.20.255 | 254 |
| 22 | 127.144.21.0/24 | 127.144.21.1 to 127.144.21.254 | 127.144.21.255 | 254 |
| 23 | 127.144.22.0/24 | 127.144.22.1 to 127.144.22.254 | 127.144.22.255 | 254 |
| 24 | 127.144.23.0/24 | 127.144.23.1 to 127.144.23.254 | 127.144.23.255 | 254 |
| 25 | 127.144.24.0/24 | 127.144.24.1 to 127.144.24.254 | 127.144.24.255 | 254 |
| 26 | 127.144.25.0/24 | 127.144.25.1 to 127.144.25.254 | 127.144.25.255 | 254 |
| 27 | 127.144.26.0/24 | 127.144.26.1 to 127.144.26.254 | 127.144.26.255 | 254 |
| 28 | 127.144.27.0/24 | 127.144.27.1 to 127.144.27.254 | 127.144.27.255 | 254 |
| 29 | 127.144.28.0/24 | 127.144.28.1 to 127.144.28.254 | 127.144.28.255 | 254 |
| 30 | 127.144.29.0/24 | 127.144.29.1 to 127.144.29.254 | 127.144.29.255 | 254 |
| 31 | 127.144.30.0/24 | 127.144.30.1 to 127.144.30.254 | 127.144.30.255 | 254 |
| 32 | 127.144.31.0/24 | 127.144.31.1 to 127.144.31.254 | 127.144.31.255 | 254 |
| 33 | 127.144.32.0/24 | 127.144.32.1 to 127.144.32.254 | 127.144.32.255 | 254 |
| 34 | 127.144.33.0/24 | 127.144.33.1 to 127.144.33.254 | 127.144.33.255 | 254 |
| 35 | 127.144.34.0/24 | 127.144.34.1 to 127.144.34.254 | 127.144.34.255 | 254 |
| 36 | 127.144.35.0/24 | 127.144.35.1 to 127.144.35.254 | 127.144.35.255 | 254 |
| 37 | 127.144.36.0/24 | 127.144.36.1 to 127.144.36.254 | 127.144.36.255 | 254 |
| 38 | 127.144.37.0/24 | 127.144.37.1 to 127.144.37.254 | 127.144.37.255 | 254 |
| 39 | 127.144.38.0/24 | 127.144.38.1 to 127.144.38.254 | 127.144.38.255 | 254 |
| 40 | 127.144.39.0/24 | 127.144.39.1 to 127.144.39.254 | 127.144.39.255 | 254 |
| 41 | 127.144.40.0/24 | 127.144.40.1 to 127.144.40.254 | 127.144.40.255 | 254 |
| 42 | 127.144.41.0/24 | 127.144.41.1 to 127.144.41.254 | 127.144.41.255 | 254 |
| 43 | 127.144.42.0/24 | 127.144.42.1 to 127.144.42.254 | 127.144.42.255 | 254 |
| 44 | 127.144.43.0/24 | 127.144.43.1 to 127.144.43.254 | 127.144.43.255 | 254 |
| 45 | 127.144.44.0/24 | 127.144.44.1 to 127.144.44.254 | 127.144.44.255 | 254 |
| 46 | 127.144.45.0/24 | 127.144.45.1 to 127.144.45.254 | 127.144.45.255 | 254 |
| 47 | 127.144.46.0/24 | 127.144.46.1 to 127.144.46.254 | 127.144.46.255 | 254 |
| 48 | 127.144.47.0/24 | 127.144.47.1 to 127.144.47.254 | 127.144.47.255 | 254 |
| 49 | 127.144.48.0/24 | 127.144.48.1 to 127.144.48.254 | 127.144.48.255 | 254 |
| 50 | 127.144.49.0/24 | 127.144.49.1 to 127.144.49.254 | 127.144.49.255 | 254 |
| 51 | 127.144.50.0/24 | 127.144.50.1 to 127.144.50.254 | 127.144.50.255 | 254 |
| 52 | 127.144.51.0/24 | 127.144.51.1 to 127.144.51.254 | 127.144.51.255 | 254 |
| 53 | 127.144.52.0/24 | 127.144.52.1 to 127.144.52.254 | 127.144.52.255 | 254 |
| 54 | 127.144.53.0/24 | 127.144.53.1 to 127.144.53.254 | 127.144.53.255 | 254 |
| 55 | 127.144.54.0/24 | 127.144.54.1 to 127.144.54.254 | 127.144.54.255 | 254 |
| 56 | 127.144.55.0/24 | 127.144.55.1 to 127.144.55.254 | 127.144.55.255 | 254 |
| 57 | 127.144.56.0/24 | 127.144.56.1 to 127.144.56.254 | 127.144.56.255 | 254 |
| 58 | 127.144.57.0/24 | 127.144.57.1 to 127.144.57.254 | 127.144.57.255 | 254 |
| 59 | 127.144.58.0/24 | 127.144.58.1 to 127.144.58.254 | 127.144.58.255 | 254 |
| 60 | 127.144.59.0/24 | 127.144.59.1 to 127.144.59.254 | 127.144.59.255 | 254 |
| 61 | 127.144.60.0/24 | 127.144.60.1 to 127.144.60.254 | 127.144.60.255 | 254 |
| 62 | 127.144.61.0/24 | 127.144.61.1 to 127.144.61.254 | 127.144.61.255 | 254 |
| 63 | 127.144.62.0/24 | 127.144.62.1 to 127.144.62.254 | 127.144.62.255 | 254 |
| 64 | 127.144.63.0/24 | 127.144.63.1 to 127.144.63.254 | 127.144.63.255 | 254 |
| 65 | 127.144.64.0/24 | 127.144.64.1 to 127.144.64.254 | 127.144.64.255 | 254 |
| 66 | 127.144.65.0/24 | 127.144.65.1 to 127.144.65.254 | 127.144.65.255 | 254 |
| 67 | 127.144.66.0/24 | 127.144.66.1 to 127.144.66.254 | 127.144.66.255 | 254 |
| 68 | 127.144.67.0/24 | 127.144.67.1 to 127.144.67.254 | 127.144.67.255 | 254 |
| 69 | 127.144.68.0/24 | 127.144.68.1 to 127.144.68.254 | 127.144.68.255 | 254 |
| 70 | 127.144.69.0/24 | 127.144.69.1 to 127.144.69.254 | 127.144.69.255 | 254 |
| 71 | 127.144.70.0/24 | 127.144.70.1 to 127.144.70.254 | 127.144.70.255 | 254 |
| 72 | 127.144.71.0/24 | 127.144.71.1 to 127.144.71.254 | 127.144.71.255 | 254 |
| 73 | 127.144.72.0/24 | 127.144.72.1 to 127.144.72.254 | 127.144.72.255 | 254 |
| 74 | 127.144.73.0/24 | 127.144.73.1 to 127.144.73.254 | 127.144.73.255 | 254 |
| 75 | 127.144.74.0/24 | 127.144.74.1 to 127.144.74.254 | 127.144.74.255 | 254 |
| 76 | 127.144.75.0/24 | 127.144.75.1 to 127.144.75.254 | 127.144.75.255 | 254 |
| 77 | 127.144.76.0/24 | 127.144.76.1 to 127.144.76.254 | 127.144.76.255 | 254 |
| 78 | 127.144.77.0/24 | 127.144.77.1 to 127.144.77.254 | 127.144.77.255 | 254 |
| 79 | 127.144.78.0/24 | 127.144.78.1 to 127.144.78.254 | 127.144.78.255 | 254 |
| 80 | 127.144.79.0/24 | 127.144.79.1 to 127.144.79.254 | 127.144.79.255 | 254 |
| 81 | 127.144.80.0/24 | 127.144.80.1 to 127.144.80.254 | 127.144.80.255 | 254 |
| 82 | 127.144.81.0/24 | 127.144.81.1 to 127.144.81.254 | 127.144.81.255 | 254 |
| 83 | 127.144.82.0/24 | 127.144.82.1 to 127.144.82.254 | 127.144.82.255 | 254 |
| 84 | 127.144.83.0/24 | 127.144.83.1 to 127.144.83.254 | 127.144.83.255 | 254 |
| 85 | 127.144.84.0/24 | 127.144.84.1 to 127.144.84.254 | 127.144.84.255 | 254 |
| 86 | 127.144.85.0/24 | 127.144.85.1 to 127.144.85.254 | 127.144.85.255 | 254 |
| 87 | 127.144.86.0/24 | 127.144.86.1 to 127.144.86.254 | 127.144.86.255 | 254 |
| 88 | 127.144.87.0/24 | 127.144.87.1 to 127.144.87.254 | 127.144.87.255 | 254 |
| 89 | 127.144.88.0/24 | 127.144.88.1 to 127.144.88.254 | 127.144.88.255 | 254 |
| 90 | 127.144.89.0/24 | 127.144.89.1 to 127.144.89.254 | 127.144.89.255 | 254 |
| 91 | 127.144.90.0/24 | 127.144.90.1 to 127.144.90.254 | 127.144.90.255 | 254 |
| 92 | 127.144.91.0/24 | 127.144.91.1 to 127.144.91.254 | 127.144.91.255 | 254 |
| 93 | 127.144.92.0/24 | 127.144.92.1 to 127.144.92.254 | 127.144.92.255 | 254 |
| 94 | 127.144.93.0/24 | 127.144.93.1 to 127.144.93.254 | 127.144.93.255 | 254 |
| 95 | 127.144.94.0/24 | 127.144.94.1 to 127.144.94.254 | 127.144.94.255 | 254 |
| 96 | 127.144.95.0/24 | 127.144.95.1 to 127.144.95.254 | 127.144.95.255 | 254 |
| 97 | 127.144.96.0/24 | 127.144.96.1 to 127.144.96.254 | 127.144.96.255 | 254 |
| 98 | 127.144.97.0/24 | 127.144.97.1 to 127.144.97.254 | 127.144.97.255 | 254 |
| 99 | 127.144.98.0/24 | 127.144.98.1 to 127.144.98.254 | 127.144.98.255 | 254 |
| 100 | 127.144.99.0/24 | 127.144.99.1 to 127.144.99.254 | 127.144.99.255 | 254 |
| 101 | 127.144.100.0/24 | 127.144.100.1 to 127.144.100.254 | 127.144.100.255 | 254 |
| 102 | 127.144.101.0/24 | 127.144.101.1 to 127.144.101.254 | 127.144.101.255 | 254 |
| 103 | 127.144.102.0/24 | 127.144.102.1 to 127.144.102.254 | 127.144.102.255 | 254 |
| 104 | 127.144.103.0/24 | 127.144.103.1 to 127.144.103.254 | 127.144.103.255 | 254 |
| 105 | 127.144.104.0/24 | 127.144.104.1 to 127.144.104.254 | 127.144.104.255 | 254 |
| 106 | 127.144.105.0/24 | 127.144.105.1 to 127.144.105.254 | 127.144.105.255 | 254 |
| 107 | 127.144.106.0/24 | 127.144.106.1 to 127.144.106.254 | 127.144.106.255 | 254 |
| 108 | 127.144.107.0/24 | 127.144.107.1 to 127.144.107.254 | 127.144.107.255 | 254 |
| 109 | 127.144.108.0/24 | 127.144.108.1 to 127.144.108.254 | 127.144.108.255 | 254 |
| 110 | 127.144.109.0/24 | 127.144.109.1 to 127.144.109.254 | 127.144.109.255 | 254 |
| 111 | 127.144.110.0/24 | 127.144.110.1 to 127.144.110.254 | 127.144.110.255 | 254 |
| 112 | 127.144.111.0/24 | 127.144.111.1 to 127.144.111.254 | 127.144.111.255 | 254 |
| 113 | 127.144.112.0/24 | 127.144.112.1 to 127.144.112.254 | 127.144.112.255 | 254 |
| 114 | 127.144.113.0/24 | 127.144.113.1 to 127.144.113.254 | 127.144.113.255 | 254 |
| 115 | 127.144.114.0/24 | 127.144.114.1 to 127.144.114.254 | 127.144.114.255 | 254 |
| 116 | 127.144.115.0/24 | 127.144.115.1 to 127.144.115.254 | 127.144.115.255 | 254 |
| 117 | 127.144.116.0/24 | 127.144.116.1 to 127.144.116.254 | 127.144.116.255 | 254 |
| 118 | 127.144.117.0/24 | 127.144.117.1 to 127.144.117.254 | 127.144.117.255 | 254 |
| 119 | 127.144.118.0/24 | 127.144.118.1 to 127.144.118.254 | 127.144.118.255 | 254 |
| 120 | 127.144.119.0/24 | 127.144.119.1 to 127.144.119.254 | 127.144.119.255 | 254 |
| 121 | 127.144.120.0/24 | 127.144.120.1 to 127.144.120.254 | 127.144.120.255 | 254 |
| 122 | 127.144.121.0/24 | 127.144.121.1 to 127.144.121.254 | 127.144.121.255 | 254 |
| 123 | 127.144.122.0/24 | 127.144.122.1 to 127.144.122.254 | 127.144.122.255 | 254 |
| 124 | 127.144.123.0/24 | 127.144.123.1 to 127.144.123.254 | 127.144.123.255 | 254 |
| 125 | 127.144.124.0/24 | 127.144.124.1 to 127.144.124.254 | 127.144.124.255 | 254 |
| 126 | 127.144.125.0/24 | 127.144.125.1 to 127.144.125.254 | 127.144.125.255 | 254 |
| 127 | 127.144.126.0/24 | 127.144.126.1 to 127.144.126.254 | 127.144.126.255 | 254 |
| 128 | 127.144.127.0/24 | 127.144.127.1 to 127.144.127.254 | 127.144.127.255 | 254 |
| 129 | 127.144.128.0/24 | 127.144.128.1 to 127.144.128.254 | 127.144.128.255 | 254 |
| 130 | 127.144.129.0/24 | 127.144.129.1 to 127.144.129.254 | 127.144.129.255 | 254 |
| 131 | 127.144.130.0/24 | 127.144.130.1 to 127.144.130.254 | 127.144.130.255 | 254 |
| 132 | 127.144.131.0/24 | 127.144.131.1 to 127.144.131.254 | 127.144.131.255 | 254 |
| 133 | 127.144.132.0/24 | 127.144.132.1 to 127.144.132.254 | 127.144.132.255 | 254 |
| 134 | 127.144.133.0/24 | 127.144.133.1 to 127.144.133.254 | 127.144.133.255 | 254 |
| 135 | 127.144.134.0/24 | 127.144.134.1 to 127.144.134.254 | 127.144.134.255 | 254 |
| 136 | 127.144.135.0/24 | 127.144.135.1 to 127.144.135.254 | 127.144.135.255 | 254 |
| 137 | 127.144.136.0/24 | 127.144.136.1 to 127.144.136.254 | 127.144.136.255 | 254 |
| 138 | 127.144.137.0/24 | 127.144.137.1 to 127.144.137.254 | 127.144.137.255 | 254 |
| 139 | 127.144.138.0/24 | 127.144.138.1 to 127.144.138.254 | 127.144.138.255 | 254 |
| 140 | 127.144.139.0/24 | 127.144.139.1 to 127.144.139.254 | 127.144.139.255 | 254 |
| 141 | 127.144.140.0/24 | 127.144.140.1 to 127.144.140.254 | 127.144.140.255 | 254 |
| 142 | 127.144.141.0/24 | 127.144.141.1 to 127.144.141.254 | 127.144.141.255 | 254 |
| 143 | 127.144.142.0/24 | 127.144.142.1 to 127.144.142.254 | 127.144.142.255 | 254 |
| 144 | 127.144.143.0/24 | 127.144.143.1 to 127.144.143.254 | 127.144.143.255 | 254 |
| 145 | 127.144.144.0/24 | 127.144.144.1 to 127.144.144.254 | 127.144.144.255 | 254 |
| 146 | 127.144.145.0/24 | 127.144.145.1 to 127.144.145.254 | 127.144.145.255 | 254 |
| 147 | 127.144.146.0/24 | 127.144.146.1 to 127.144.146.254 | 127.144.146.255 | 254 |
| 148 | 127.144.147.0/24 | 127.144.147.1 to 127.144.147.254 | 127.144.147.255 | 254 |
| 149 | 127.144.148.0/24 | 127.144.148.1 to 127.144.148.254 | 127.144.148.255 | 254 |
| 150 | 127.144.149.0/24 | 127.144.149.1 to 127.144.149.254 | 127.144.149.255 | 254 |
| 151 | 127.144.150.0/24 | 127.144.150.1 to 127.144.150.254 | 127.144.150.255 | 254 |
| 152 | 127.144.151.0/24 | 127.144.151.1 to 127.144.151.254 | 127.144.151.255 | 254 |
| 153 | 127.144.152.0/24 | 127.144.152.1 to 127.144.152.254 | 127.144.152.255 | 254 |
| 154 | 127.144.153.0/24 | 127.144.153.1 to 127.144.153.254 | 127.144.153.255 | 254 |
| 155 | 127.144.154.0/24 | 127.144.154.1 to 127.144.154.254 | 127.144.154.255 | 254 |
| 156 | 127.144.155.0/24 | 127.144.155.1 to 127.144.155.254 | 127.144.155.255 | 254 |
| 157 | 127.144.156.0/24 | 127.144.156.1 to 127.144.156.254 | 127.144.156.255 | 254 |
| 158 | 127.144.157.0/24 | 127.144.157.1 to 127.144.157.254 | 127.144.157.255 | 254 |
| 159 | 127.144.158.0/24 | 127.144.158.1 to 127.144.158.254 | 127.144.158.255 | 254 |
| 160 | 127.144.159.0/24 | 127.144.159.1 to 127.144.159.254 | 127.144.159.255 | 254 |
| 161 | 127.144.160.0/24 | 127.144.160.1 to 127.144.160.254 | 127.144.160.255 | 254 |
| 162 | 127.144.161.0/24 | 127.144.161.1 to 127.144.161.254 | 127.144.161.255 | 254 |
| 163 | 127.144.162.0/24 | 127.144.162.1 to 127.144.162.254 | 127.144.162.255 | 254 |
| 164 | 127.144.163.0/24 | 127.144.163.1 to 127.144.163.254 | 127.144.163.255 | 254 |
| 165 | 127.144.164.0/24 | 127.144.164.1 to 127.144.164.254 | 127.144.164.255 | 254 |
| 166 | 127.144.165.0/24 | 127.144.165.1 to 127.144.165.254 | 127.144.165.255 | 254 |
| 167 | 127.144.166.0/24 | 127.144.166.1 to 127.144.166.254 | 127.144.166.255 | 254 |
| 168 | 127.144.167.0/24 | 127.144.167.1 to 127.144.167.254 | 127.144.167.255 | 254 |
| 169 | 127.144.168.0/24 | 127.144.168.1 to 127.144.168.254 | 127.144.168.255 | 254 |
| 170 | 127.144.169.0/24 | 127.144.169.1 to 127.144.169.254 | 127.144.169.255 | 254 |
| 171 | 127.144.170.0/24 | 127.144.170.1 to 127.144.170.254 | 127.144.170.255 | 254 |
| 172 | 127.144.171.0/24 | 127.144.171.1 to 127.144.171.254 | 127.144.171.255 | 254 |
| 173 | 127.144.172.0/24 | 127.144.172.1 to 127.144.172.254 | 127.144.172.255 | 254 |
| 174 | 127.144.173.0/24 | 127.144.173.1 to 127.144.173.254 | 127.144.173.255 | 254 |
| 175 | 127.144.174.0/24 | 127.144.174.1 to 127.144.174.254 | 127.144.174.255 | 254 |
| 176 | 127.144.175.0/24 | 127.144.175.1 to 127.144.175.254 | 127.144.175.255 | 254 |
| 177 | 127.144.176.0/24 | 127.144.176.1 to 127.144.176.254 | 127.144.176.255 | 254 |
| 178 | 127.144.177.0/24 | 127.144.177.1 to 127.144.177.254 | 127.144.177.255 | 254 |
| 179 | 127.144.178.0/24 | 127.144.178.1 to 127.144.178.254 | 127.144.178.255 | 254 |
| 180 | 127.144.179.0/24 | 127.144.179.1 to 127.144.179.254 | 127.144.179.255 | 254 |
| 181 | 127.144.180.0/24 | 127.144.180.1 to 127.144.180.254 | 127.144.180.255 | 254 |
| 182 | 127.144.181.0/24 | 127.144.181.1 to 127.144.181.254 | 127.144.181.255 | 254 |
| 183 | 127.144.182.0/24 | 127.144.182.1 to 127.144.182.254 | 127.144.182.255 | 254 |
| 184 | 127.144.183.0/24 | 127.144.183.1 to 127.144.183.254 | 127.144.183.255 | 254 |
| 185 | 127.144.184.0/24 | 127.144.184.1 to 127.144.184.254 | 127.144.184.255 | 254 |
| 186 | 127.144.185.0/24 | 127.144.185.1 to 127.144.185.254 | 127.144.185.255 | 254 |
| 187 | 127.144.186.0/24 | 127.144.186.1 to 127.144.186.254 | 127.144.186.255 | 254 |
| 188 | 127.144.187.0/24 | 127.144.187.1 to 127.144.187.254 | 127.144.187.255 | 254 |
| 189 | 127.144.188.0/24 | 127.144.188.1 to 127.144.188.254 | 127.144.188.255 | 254 |
| 190 | 127.144.189.0/24 | 127.144.189.1 to 127.144.189.254 | 127.144.189.255 | 254 |
| 191 | 127.144.190.0/24 | 127.144.190.1 to 127.144.190.254 | 127.144.190.255 | 254 |
| 192 | 127.144.191.0/24 | 127.144.191.1 to 127.144.191.254 | 127.144.191.255 | 254 |
| 193 | 127.144.192.0/24 | 127.144.192.1 to 127.144.192.254 | 127.144.192.255 | 254 |
| 194 | 127.144.193.0/24 | 127.144.193.1 to 127.144.193.254 | 127.144.193.255 | 254 |
| 195 | 127.144.194.0/24 | 127.144.194.1 to 127.144.194.254 | 127.144.194.255 | 254 |
| 196 | 127.144.195.0/24 | 127.144.195.1 to 127.144.195.254 | 127.144.195.255 | 254 |
| 197 | 127.144.196.0/24 | 127.144.196.1 to 127.144.196.254 | 127.144.196.255 | 254 |
| 198 | 127.144.197.0/24 | 127.144.197.1 to 127.144.197.254 | 127.144.197.255 | 254 |
| 199 | 127.144.198.0/24 | 127.144.198.1 to 127.144.198.254 | 127.144.198.255 | 254 |
| 200 | 127.144.199.0/24 | 127.144.199.1 to 127.144.199.254 | 127.144.199.255 | 254 |
| 201 | 127.144.200.0/24 | 127.144.200.1 to 127.144.200.254 | 127.144.200.255 | 254 |
| 202 | 127.144.201.0/24 | 127.144.201.1 to 127.144.201.254 | 127.144.201.255 | 254 |
| 203 | 127.144.202.0/24 | 127.144.202.1 to 127.144.202.254 | 127.144.202.255 | 254 |
| 204 | 127.144.203.0/24 | 127.144.203.1 to 127.144.203.254 | 127.144.203.255 | 254 |
| 205 | 127.144.204.0/24 | 127.144.204.1 to 127.144.204.254 | 127.144.204.255 | 254 |
| 206 | 127.144.205.0/24 | 127.144.205.1 to 127.144.205.254 | 127.144.205.255 | 254 |
| 207 | 127.144.206.0/24 | 127.144.206.1 to 127.144.206.254 | 127.144.206.255 | 254 |
| 208 | 127.144.207.0/24 | 127.144.207.1 to 127.144.207.254 | 127.144.207.255 | 254 |
| 209 | 127.144.208.0/24 | 127.144.208.1 to 127.144.208.254 | 127.144.208.255 | 254 |
| 210 | 127.144.209.0/24 | 127.144.209.1 to 127.144.209.254 | 127.144.209.255 | 254 |
| 211 | 127.144.210.0/24 | 127.144.210.1 to 127.144.210.254 | 127.144.210.255 | 254 |
| 212 | 127.144.211.0/24 | 127.144.211.1 to 127.144.211.254 | 127.144.211.255 | 254 |
| 213 | 127.144.212.0/24 | 127.144.212.1 to 127.144.212.254 | 127.144.212.255 | 254 |
| 214 | 127.144.213.0/24 | 127.144.213.1 to 127.144.213.254 | 127.144.213.255 | 254 |
| 215 | 127.144.214.0/24 | 127.144.214.1 to 127.144.214.254 | 127.144.214.255 | 254 |
| 216 | 127.144.215.0/24 | 127.144.215.1 to 127.144.215.254 | 127.144.215.255 | 254 |
| 217 | 127.144.216.0/24 | 127.144.216.1 to 127.144.216.254 | 127.144.216.255 | 254 |
| 218 | 127.144.217.0/24 | 127.144.217.1 to 127.144.217.254 | 127.144.217.255 | 254 |
| 219 | 127.144.218.0/24 | 127.144.218.1 to 127.144.218.254 | 127.144.218.255 | 254 |
| 220 | 127.144.219.0/24 | 127.144.219.1 to 127.144.219.254 | 127.144.219.255 | 254 |
| 221 | 127.144.220.0/24 | 127.144.220.1 to 127.144.220.254 | 127.144.220.255 | 254 |
| 222 | 127.144.221.0/24 | 127.144.221.1 to 127.144.221.254 | 127.144.221.255 | 254 |
| 223 | 127.144.222.0/24 | 127.144.222.1 to 127.144.222.254 | 127.144.222.255 | 254 |
| 224 | 127.144.223.0/24 | 127.144.223.1 to 127.144.223.254 | 127.144.223.255 | 254 |
| 225 | 127.144.224.0/24 | 127.144.224.1 to 127.144.224.254 | 127.144.224.255 | 254 |
| 226 | 127.144.225.0/24 | 127.144.225.1 to 127.144.225.254 | 127.144.225.255 | 254 |
| 227 | 127.144.226.0/24 | 127.144.226.1 to 127.144.226.254 | 127.144.226.255 | 254 |
| 228 | 127.144.227.0/24 | 127.144.227.1 to 127.144.227.254 | 127.144.227.255 | 254 |
| 229 | 127.144.228.0/24 | 127.144.228.1 to 127.144.228.254 | 127.144.228.255 | 254 |
| 230 | 127.144.229.0/24 | 127.144.229.1 to 127.144.229.254 | 127.144.229.255 | 254 |
| 231 | 127.144.230.0/24 | 127.144.230.1 to 127.144.230.254 | 127.144.230.255 | 254 |
| 232 | 127.144.231.0/24 | 127.144.231.1 to 127.144.231.254 | 127.144.231.255 | 254 |
| 233 | 127.144.232.0/24 | 127.144.232.1 to 127.144.232.254 | 127.144.232.255 | 254 |
| 234 | 127.144.233.0/24 | 127.144.233.1 to 127.144.233.254 | 127.144.233.255 | 254 |
| 235 | 127.144.234.0/24 | 127.144.234.1 to 127.144.234.254 | 127.144.234.255 | 254 |
| 236 | 127.144.235.0/24 | 127.144.235.1 to 127.144.235.254 | 127.144.235.255 | 254 |
| 237 | 127.144.236.0/24 | 127.144.236.1 to 127.144.236.254 | 127.144.236.255 | 254 |
| 238 | 127.144.237.0/24 | 127.144.237.1 to 127.144.237.254 | 127.144.237.255 | 254 |
| 239 | 127.144.238.0/24 | 127.144.238.1 to 127.144.238.254 | 127.144.238.255 | 254 |
| 240 | 127.144.239.0/24 | 127.144.239.1 to 127.144.239.254 | 127.144.239.255 | 254 |
| 241 | 127.144.240.0/24 | 127.144.240.1 to 127.144.240.254 | 127.144.240.255 | 254 |
| 242 | 127.144.241.0/24 | 127.144.241.1 to 127.144.241.254 | 127.144.241.255 | 254 |
| 243 | 127.144.242.0/24 | 127.144.242.1 to 127.144.242.254 | 127.144.242.255 | 254 |
| 244 | 127.144.243.0/24 | 127.144.243.1 to 127.144.243.254 | 127.144.243.255 | 254 |
| 245 | 127.144.244.0/24 | 127.144.244.1 to 127.144.244.254 | 127.144.244.255 | 254 |
| 246 | 127.144.245.0/24 | 127.144.245.1 to 127.144.245.254 | 127.144.245.255 | 254 |
| 247 | 127.144.246.0/24 | 127.144.246.1 to 127.144.246.254 | 127.144.246.255 | 254 |
| 248 | 127.144.247.0/24 | 127.144.247.1 to 127.144.247.254 | 127.144.247.255 | 254 |
| 249 | 127.144.248.0/24 | 127.144.248.1 to 127.144.248.254 | 127.144.248.255 | 254 |
| 250 | 127.144.249.0/24 | 127.144.249.1 to 127.144.249.254 | 127.144.249.255 | 254 |
| 251 | 127.144.250.0/24 | 127.144.250.1 to 127.144.250.254 | 127.144.250.255 | 254 |
| 252 | 127.144.251.0/24 | 127.144.251.1 to 127.144.251.254 | 127.144.251.255 | 254 |
| 253 | 127.144.252.0/24 | 127.144.252.1 to 127.144.252.254 | 127.144.252.255 | 254 |
| 254 | 127.144.253.0/24 | 127.144.253.1 to 127.144.253.254 | 127.144.253.255 | 254 |
| 255 | 127.144.254.0/24 | 127.144.254.1 to 127.144.254.254 | 127.144.254.255 | 254 |
| 256 | 127.144.255.0/24 | 127.144.255.1 to 127.144.255.254 | 127.144.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |